<!DOCTYPE HTML PUBLIC "-//W3C//DTD HTML 4.0 Transitional//EN">
<html><head><meta http-equiv="Content-Type" content="text/html;charset=iso-8859-1">
<title>iCelPath Struct Reference (CEL: Crystal Entity Layer 2.0 Public API Reference)</title>
<link href="tabs.css" rel="stylesheet" type="text/css">
<link href="doxygen.css" rel="stylesheet" type="text/css">
</head><body>
<table border="0" cellpadding="0" cellspacing="0" width="100%" class="head">
 <tr height="59">
  <td class="head" width="202" valign="bottom" style="padding-left:0;"><a href="http://cel.crystalspace3d.org/"><img src="celblur.png" width="210" height="59" alt="CEL" border="0"></a></td>
  <td class="head"><h2>Public API Reference</h2></td>
 </tr>
 <tr height="11">
  <td colspan="2" class="headshadow" valign="top" style="padding-left:0;"><img src="celshadow.png" width="9" height="11" alt="" border="0"></td>
 </tr>
</table>
<div class="content">
<!-- Generated by Doxygen 1.7.6.1 -->
  <div id="navrow1" class="tabs">
    <ul class="tablist">
      <li><a href="index.html"><span>Main&#160;Page</span></a></li>
      <li><a href="pages.html"><span>Related&#160;Pages</span></a></li>
      <li class="current"><a href="annotated.html"><span>Classes</span></a></li>
      <li><a href="files.html"><span>Files</span></a></li>
    </ul>
  </div>
  <div id="navrow2" class="tabs2">
    <ul class="tablist">
      <li><a href="annotated.html"><span>Class&#160;List</span></a></li>
      <li><a href="classes.html"><span>Class&#160;Index</span></a></li>
      <li><a href="hierarchy.html"><span>Class&#160;Hierarchy</span></a></li>
      <li><a href="functions.html"><span>Class&#160;Members</span></a></li>
    </ul>
  </div>
</div>
<div class="header">
  <div class="summary">
<a href="#pub-methods">Public Member Functions</a>  </div>
  <div class="headertitle">
<div class="title">iCelPath Struct Reference</div>  </div>
</div><!--header-->
<div class="contents">
<!-- doxytag: class="iCelPath" --><!-- doxytag: inherits="iBase" -->
<p>Interface for CEL Path.  
 <a href="structiCelPath.html#details">More...</a></p>

<p><code>#include &lt;<a class="el" href="celgraph_8h_source.html">tools/celgraph.h</a>&gt;</code></p>
<div class="dynheader">
Inheritance diagram for iCelPath:</div>
<div class="dyncontent">
 <div class="center">
  <img src="structiCelPath.png" usemap="#iCelPath_map" alt=""/>
  <map id="iCelPath_map" name="iCelPath_map">
<area doxygen="crystalspace.tag:http://www.crystalspace3d.org/docs/online/api/" href="http://www.crystalspace3d.org/docs/online/api/structiBase.html" alt="iBase" shape="rect" coords="0,0,59,24"/>
</map>
 </div></div>

<p><a href="structiCelPath-members.html">List of all members.</a></p>
<table class="memberdecls">
<tr><td colspan="2"><h2><a name="pub-methods"></a>
Public Member Functions</h2></td></tr>
<tr><td class="memItemLeft" align="right" valign="top">virtual void&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="structiCelPath.html#a6263acf06b6e128e33c206655fa965e8">AddNode</a> (<a class="elRef" doxygen="crystalspace.tag:http://www.crystalspace3d.org/docs/online/api/" href="http://www.crystalspace3d.org/docs/online/api/structiMapNode.html">iMapNode</a> *node)=0</td></tr>
<tr><td class="mdescLeft">&#160;</td><td class="mdescRight">Adds a new node at the end of the path.  <a href="#a6263acf06b6e128e33c206655fa965e8"></a><br/></td></tr>
<tr><td class="memItemLeft" align="right" valign="top">virtual void&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="structiCelPath.html#a43a04d1f734c6961c5bae15746e1e488">Clear</a> ()=0</td></tr>
<tr><td class="mdescLeft">&#160;</td><td class="mdescRight">Clears path.  <a href="#a43a04d1f734c6961c5bae15746e1e488"></a><br/></td></tr>
<tr><td class="memItemLeft" align="right" valign="top">virtual <a class="elRef" doxygen="crystalspace.tag:http://www.crystalspace3d.org/docs/online/api/" href="http://www.crystalspace3d.org/docs/online/api/structiMapNode.html">iMapNode</a> *&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="structiCelPath.html#ae5d69913f30326128d30006d995fef9c">Current</a> ()=0</td></tr>
<tr><td class="mdescLeft">&#160;</td><td class="mdescRight">Get current node in path.  <a href="#ae5d69913f30326128d30006d995fef9c"></a><br/></td></tr>
<tr><td class="memItemLeft" align="right" valign="top">virtual <a class="elRef" doxygen="crystalspace.tag:http://www.crystalspace3d.org/docs/online/api/" href="http://www.crystalspace3d.org/docs/online/api/classcsVector3.html">csVector3</a>&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="structiCelPath.html#a51550b4b483f5aaa9018c88cb2c333e9">CurrentPosition</a> ()=0</td></tr>
<tr><td class="mdescLeft">&#160;</td><td class="mdescRight">Get currents node position.  <a href="#a51550b4b483f5aaa9018c88cb2c333e9"></a><br/></td></tr>
<tr><td class="memItemLeft" align="right" valign="top">virtual <a class="elRef" doxygen="crystalspace.tag:http://www.crystalspace3d.org/docs/online/api/" href="http://www.crystalspace3d.org/docs/online/api/structiSector.html">iSector</a> *&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="structiCelPath.html#ab24cd660d9f7e27d246f36ddb633e16b">CurrentSector</a> ()=0</td></tr>
<tr><td class="mdescLeft">&#160;</td><td class="mdescRight">Get currents node sector.  <a href="#ab24cd660d9f7e27d246f36ddb633e16b"></a><br/></td></tr>
<tr><td class="memItemLeft" align="right" valign="top">virtual <a class="elRef" doxygen="crystalspace.tag:http://www.crystalspace3d.org/docs/online/api/" href="http://www.crystalspace3d.org/docs/online/api/structiMapNode.html">iMapNode</a> *&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="structiCelPath.html#a89ac66359d3e95c35ff4ee9fcf52e6b4">GetFirst</a> ()=0</td></tr>
<tr><td class="mdescLeft">&#160;</td><td class="mdescRight">Get First node in path.  <a href="#a89ac66359d3e95c35ff4ee9fcf52e6b4"></a><br/></td></tr>
<tr><td class="memItemLeft" align="right" valign="top">virtual <a class="elRef" doxygen="crystalspace.tag:http://www.crystalspace3d.org/docs/online/api/" href="http://www.crystalspace3d.org/docs/online/api/structiMapNode.html">iMapNode</a> *&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="structiCelPath.html#ae67185caf790da95abb75d1fc2d5d02f">GetLast</a> ()=0</td></tr>
<tr><td class="mdescLeft">&#160;</td><td class="mdescRight">Get last node in path.  <a href="#ae67185caf790da95abb75d1fc2d5d02f"></a><br/></td></tr>
<tr><td class="memItemLeft" align="right" valign="top">virtual size_t&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="structiCelPath.html#ae1423856c2464c40b2b310bf4358d933">GetNodeCount</a> ()=0</td></tr>
<tr><td class="mdescLeft">&#160;</td><td class="mdescRight">Get number of nodes in the path.  <a href="#ae1423856c2464c40b2b310bf4358d933"></a><br/></td></tr>
<tr><td class="memItemLeft" align="right" valign="top">virtual bool&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="structiCelPath.html#a3181045fb670688109581ed4aaec3747">HasNext</a> ()=0</td></tr>
<tr><td class="mdescLeft">&#160;</td><td class="mdescRight">Checks if there are more nodes ahead in the path.  <a href="#a3181045fb670688109581ed4aaec3747"></a><br/></td></tr>
<tr><td class="memItemLeft" align="right" valign="top">virtual bool&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="structiCelPath.html#aa6a1e0d47a3111b6e6c79cc8cc85450a">HasPrevious</a> ()=0</td></tr>
<tr><td class="mdescLeft">&#160;</td><td class="mdescRight">Checks if there are more nodes back in the path.  <a href="#aa6a1e0d47a3111b6e6c79cc8cc85450a"></a><br/></td></tr>
<tr><td class="memItemLeft" align="right" valign="top">virtual void&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="structiCelPath.html#ab1b507a3c336fefc8e221e6850fd2ea2">InsertNode</a> (size_t pos, <a class="elRef" doxygen="crystalspace.tag:http://www.crystalspace3d.org/docs/online/api/" href="http://www.crystalspace3d.org/docs/online/api/structiMapNode.html">iMapNode</a> *node)=0</td></tr>
<tr><td class="mdescLeft">&#160;</td><td class="mdescRight">Adds a new node in position pos.  <a href="#ab1b507a3c336fefc8e221e6850fd2ea2"></a><br/></td></tr>
<tr><td class="memItemLeft" align="right" valign="top">virtual void&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="structiCelPath.html#aa492e663e62e9c1290def956182e9b16">Invert</a> ()=0</td></tr>
<tr><td class="mdescLeft">&#160;</td><td class="mdescRight">Invert nodes in the path.  <a href="#aa492e663e62e9c1290def956182e9b16"></a><br/></td></tr>
<tr><td class="memItemLeft" align="right" valign="top">virtual <a class="elRef" doxygen="crystalspace.tag:http://www.crystalspace3d.org/docs/online/api/" href="http://www.crystalspace3d.org/docs/online/api/structiMapNode.html">iMapNode</a> *&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="structiCelPath.html#ad2a8088d0a20089f712afccd7ad6f79e">Next</a> ()=0</td></tr>
<tr><td class="mdescLeft">&#160;</td><td class="mdescRight">Get next node in path.  <a href="#ad2a8088d0a20089f712afccd7ad6f79e"></a><br/></td></tr>
<tr><td class="memItemLeft" align="right" valign="top">virtual <a class="elRef" doxygen="crystalspace.tag:http://www.crystalspace3d.org/docs/online/api/" href="http://www.crystalspace3d.org/docs/online/api/structiMapNode.html">iMapNode</a> *&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="structiCelPath.html#ada8aec29d64ca120f6cd2dc973c94177">Previous</a> ()=0</td></tr>
<tr><td class="mdescLeft">&#160;</td><td class="mdescRight">Get previous node in path.  <a href="#ada8aec29d64ca120f6cd2dc973c94177"></a><br/></td></tr>
<tr><td class="memItemLeft" align="right" valign="top">virtual <a class="elRef" doxygen="crystalspace.tag:http://www.crystalspace3d.org/docs/online/api/" href="http://www.crystalspace3d.org/docs/online/api/structiObject.html">iObject</a> *&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="structiCelPath.html#a37b4dd66a8383edb868890236a32ba6f">QueryObject</a> ()=0</td></tr>
<tr><td class="mdescLeft">&#160;</td><td class="mdescRight">Query the underlying <a class="elRef" doxygen="crystalspace.tag:http://www.crystalspace3d.org/docs/online/api/" href="http://www.crystalspace3d.org/docs/online/api/structiObject.html">iObject</a>.  <a href="#a37b4dd66a8383edb868890236a32ba6f"></a><br/></td></tr>
<tr><td class="memItemLeft" align="right" valign="top">virtual void&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="structiCelPath.html#a153e5310f91a2e4d819c1b1ac4917118">Restart</a> ()=0</td></tr>
<tr><td class="mdescLeft">&#160;</td><td class="mdescRight">Restarts path.  <a href="#a153e5310f91a2e4d819c1b1ac4917118"></a><br/></td></tr>
</table>
<hr/><a name="details" id="details"></a><h2>Detailed Description</h2>
<div class="textblock"><p>Interface for CEL Path. </p>

<p>Definition at line <a class="el" href="celgraph_8h_source.html#l00169">169</a> of file <a class="el" href="celgraph_8h_source.html">celgraph.h</a>.</p>
</div><hr/><h2>Member Function Documentation</h2>
<a class="anchor" id="a6263acf06b6e128e33c206655fa965e8"></a><!-- doxytag: member="iCelPath::AddNode" ref="a6263acf06b6e128e33c206655fa965e8" args="(iMapNode *node)=0" -->
<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname">virtual void <a class="el" href="structiCelPath.html#a6263acf06b6e128e33c206655fa965e8">iCelPath::AddNode</a> </td>
          <td>(</td>
          <td class="paramtype"><a class="elRef" doxygen="crystalspace.tag:http://www.crystalspace3d.org/docs/online/api/" href="http://www.crystalspace3d.org/docs/online/api/structiMapNode.html">iMapNode</a> *&#160;</td>
          <td class="paramname"><em>node</em></td><td>)</td>
          <td><code> [pure virtual]</code></td>
        </tr>
      </table>
</div>
<div class="memdoc">

<p>Adds a new node at the end of the path. </p>

</div>
</div>
<a class="anchor" id="a43a04d1f734c6961c5bae15746e1e488"></a><!-- doxytag: member="iCelPath::Clear" ref="a43a04d1f734c6961c5bae15746e1e488" args="()=0" -->
<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname">virtual void <a class="el" href="structiCelPath.html#a43a04d1f734c6961c5bae15746e1e488">iCelPath::Clear</a> </td>
          <td>(</td>
          <td class="paramname"></td><td>)</td>
          <td><code> [pure virtual]</code></td>
        </tr>
      </table>
</div>
<div class="memdoc">

<p>Clears path. </p>

</div>
</div>
<a class="anchor" id="ae5d69913f30326128d30006d995fef9c"></a><!-- doxytag: member="iCelPath::Current" ref="ae5d69913f30326128d30006d995fef9c" args="()=0" -->
<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname">virtual <a class="elRef" doxygen="crystalspace.tag:http://www.crystalspace3d.org/docs/online/api/" href="http://www.crystalspace3d.org/docs/online/api/structiMapNode.html">iMapNode</a>* <a class="el" href="structiCelPath.html#ae5d69913f30326128d30006d995fef9c">iCelPath::Current</a> </td>
          <td>(</td>
          <td class="paramname"></td><td>)</td>
          <td><code> [pure virtual]</code></td>
        </tr>
      </table>
</div>
<div class="memdoc">

<p>Get current node in path. </p>

</div>
</div>
<a class="anchor" id="a51550b4b483f5aaa9018c88cb2c333e9"></a><!-- doxytag: member="iCelPath::CurrentPosition" ref="a51550b4b483f5aaa9018c88cb2c333e9" args="()=0" -->
<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname">virtual <a class="elRef" doxygen="crystalspace.tag:http://www.crystalspace3d.org/docs/online/api/" href="http://www.crystalspace3d.org/docs/online/api/classcsVector3.html">csVector3</a> <a class="el" href="structiCelPath.html#a51550b4b483f5aaa9018c88cb2c333e9">iCelPath::CurrentPosition</a> </td>
          <td>(</td>
          <td class="paramname"></td><td>)</td>
          <td><code> [pure virtual]</code></td>
        </tr>
      </table>
</div>
<div class="memdoc">

<p>Get currents node position. </p>

</div>
</div>
<a class="anchor" id="ab24cd660d9f7e27d246f36ddb633e16b"></a><!-- doxytag: member="iCelPath::CurrentSector" ref="ab24cd660d9f7e27d246f36ddb633e16b" args="()=0" -->
<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname">virtual <a class="elRef" doxygen="crystalspace.tag:http://www.crystalspace3d.org/docs/online/api/" href="http://www.crystalspace3d.org/docs/online/api/structiSector.html">iSector</a>* <a class="el" href="structiCelPath.html#ab24cd660d9f7e27d246f36ddb633e16b">iCelPath::CurrentSector</a> </td>
          <td>(</td>
          <td class="paramname"></td><td>)</td>
          <td><code> [pure virtual]</code></td>
        </tr>
      </table>
</div>
<div class="memdoc">

<p>Get currents node sector. </p>

</div>
</div>
<a class="anchor" id="a89ac66359d3e95c35ff4ee9fcf52e6b4"></a><!-- doxytag: member="iCelPath::GetFirst" ref="a89ac66359d3e95c35ff4ee9fcf52e6b4" args="()=0" -->
<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname">virtual <a class="elRef" doxygen="crystalspace.tag:http://www.crystalspace3d.org/docs/online/api/" href="http://www.crystalspace3d.org/docs/online/api/structiMapNode.html">iMapNode</a>* <a class="el" href="structiCelPath.html#a89ac66359d3e95c35ff4ee9fcf52e6b4">iCelPath::GetFirst</a> </td>
          <td>(</td>
          <td class="paramname"></td><td>)</td>
          <td><code> [pure virtual]</code></td>
        </tr>
      </table>
</div>
<div class="memdoc">

<p>Get First node in path. </p>

</div>
</div>
<a class="anchor" id="ae67185caf790da95abb75d1fc2d5d02f"></a><!-- doxytag: member="iCelPath::GetLast" ref="ae67185caf790da95abb75d1fc2d5d02f" args="()=0" -->
<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname">virtual <a class="elRef" doxygen="crystalspace.tag:http://www.crystalspace3d.org/docs/online/api/" href="http://www.crystalspace3d.org/docs/online/api/structiMapNode.html">iMapNode</a>* <a class="el" href="structiCelPath.html#ae67185caf790da95abb75d1fc2d5d02f">iCelPath::GetLast</a> </td>
          <td>(</td>
          <td class="paramname"></td><td>)</td>
          <td><code> [pure virtual]</code></td>
        </tr>
      </table>
</div>
<div class="memdoc">

<p>Get last node in path. </p>

</div>
</div>
<a class="anchor" id="ae1423856c2464c40b2b310bf4358d933"></a><!-- doxytag: member="iCelPath::GetNodeCount" ref="ae1423856c2464c40b2b310bf4358d933" args="()=0" -->
<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname">virtual size_t <a class="el" href="structiCelPath.html#ae1423856c2464c40b2b310bf4358d933">iCelPath::GetNodeCount</a> </td>
          <td>(</td>
          <td class="paramname"></td><td>)</td>
          <td><code> [pure virtual]</code></td>
        </tr>
      </table>
</div>
<div class="memdoc">

<p>Get number of nodes in the path. </p>

</div>
</div>
<a class="anchor" id="a3181045fb670688109581ed4aaec3747"></a><!-- doxytag: member="iCelPath::HasNext" ref="a3181045fb670688109581ed4aaec3747" args="()=0" -->
<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname">virtual bool <a class="el" href="structiCelPath.html#a3181045fb670688109581ed4aaec3747">iCelPath::HasNext</a> </td>
          <td>(</td>
          <td class="paramname"></td><td>)</td>
          <td><code> [pure virtual]</code></td>
        </tr>
      </table>
</div>
<div class="memdoc">

<p>Checks if there are more nodes ahead in the path. </p>

</div>
</div>
<a class="anchor" id="aa6a1e0d47a3111b6e6c79cc8cc85450a"></a><!-- doxytag: member="iCelPath::HasPrevious" ref="aa6a1e0d47a3111b6e6c79cc8cc85450a" args="()=0" -->
<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname">virtual bool <a class="el" href="structiCelPath.html#aa6a1e0d47a3111b6e6c79cc8cc85450a">iCelPath::HasPrevious</a> </td>
          <td>(</td>
          <td class="paramname"></td><td>)</td>
          <td><code> [pure virtual]</code></td>
        </tr>
      </table>
</div>
<div class="memdoc">

<p>Checks if there are more nodes back in the path. </p>

</div>
</div>
<a class="anchor" id="ab1b507a3c336fefc8e221e6850fd2ea2"></a><!-- doxytag: member="iCelPath::InsertNode" ref="ab1b507a3c336fefc8e221e6850fd2ea2" args="(size_t pos, iMapNode *node)=0" -->
<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname">virtual void <a class="el" href="structiCelPath.html#ab1b507a3c336fefc8e221e6850fd2ea2">iCelPath::InsertNode</a> </td>
          <td>(</td>
          <td class="paramtype">size_t&#160;</td>
          <td class="paramname"><em>pos</em>, </td>
        </tr>
        <tr>
          <td class="paramkey"></td>
          <td></td>
          <td class="paramtype"><a class="elRef" doxygen="crystalspace.tag:http://www.crystalspace3d.org/docs/online/api/" href="http://www.crystalspace3d.org/docs/online/api/structiMapNode.html">iMapNode</a> *&#160;</td>
          <td class="paramname"><em>node</em>&#160;</td>
        </tr>
        <tr>
          <td></td>
          <td>)</td>
          <td></td><td><code> [pure virtual]</code></td>
        </tr>
      </table>
</div>
<div class="memdoc">

<p>Adds a new node in position pos. </p>

</div>
</div>
<a class="anchor" id="aa492e663e62e9c1290def956182e9b16"></a><!-- doxytag: member="iCelPath::Invert" ref="aa492e663e62e9c1290def956182e9b16" args="()=0" -->
<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname">virtual void <a class="el" href="structiCelPath.html#aa492e663e62e9c1290def956182e9b16">iCelPath::Invert</a> </td>
          <td>(</td>
          <td class="paramname"></td><td>)</td>
          <td><code> [pure virtual]</code></td>
        </tr>
      </table>
</div>
<div class="memdoc">

<p>Invert nodes in the path. </p>

</div>
</div>
<a class="anchor" id="ad2a8088d0a20089f712afccd7ad6f79e"></a><!-- doxytag: member="iCelPath::Next" ref="ad2a8088d0a20089f712afccd7ad6f79e" args="()=0" -->
<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname">virtual <a class="elRef" doxygen="crystalspace.tag:http://www.crystalspace3d.org/docs/online/api/" href="http://www.crystalspace3d.org/docs/online/api/structiMapNode.html">iMapNode</a>* <a class="el" href="structiCelPath.html#ad2a8088d0a20089f712afccd7ad6f79e">iCelPath::Next</a> </td>
          <td>(</td>
          <td class="paramname"></td><td>)</td>
          <td><code> [pure virtual]</code></td>
        </tr>
      </table>
</div>
<div class="memdoc">

<p>Get next node in path. </p>

</div>
</div>
<a class="anchor" id="ada8aec29d64ca120f6cd2dc973c94177"></a><!-- doxytag: member="iCelPath::Previous" ref="ada8aec29d64ca120f6cd2dc973c94177" args="()=0" -->
<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname">virtual <a class="elRef" doxygen="crystalspace.tag:http://www.crystalspace3d.org/docs/online/api/" href="http://www.crystalspace3d.org/docs/online/api/structiMapNode.html">iMapNode</a>* <a class="el" href="structiCelPath.html#ada8aec29d64ca120f6cd2dc973c94177">iCelPath::Previous</a> </td>
          <td>(</td>
          <td class="paramname"></td><td>)</td>
          <td><code> [pure virtual]</code></td>
        </tr>
      </table>
</div>
<div class="memdoc">

<p>Get previous node in path. </p>

</div>
</div>
<a class="anchor" id="a37b4dd66a8383edb868890236a32ba6f"></a><!-- doxytag: member="iCelPath::QueryObject" ref="a37b4dd66a8383edb868890236a32ba6f" args="()=0" -->
<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname">virtual <a class="elRef" doxygen="crystalspace.tag:http://www.crystalspace3d.org/docs/online/api/" href="http://www.crystalspace3d.org/docs/online/api/structiObject.html">iObject</a>* <a class="el" href="structiCelPath.html#a37b4dd66a8383edb868890236a32ba6f">iCelPath::QueryObject</a> </td>
          <td>(</td>
          <td class="paramname"></td><td>)</td>
          <td><code> [pure virtual]</code></td>
        </tr>
      </table>
</div>
<div class="memdoc">

<p>Query the underlying <a class="elRef" doxygen="crystalspace.tag:http://www.crystalspace3d.org/docs/online/api/" href="http://www.crystalspace3d.org/docs/online/api/structiObject.html">iObject</a>. </p>

</div>
</div>
<a class="anchor" id="a153e5310f91a2e4d819c1b1ac4917118"></a><!-- doxytag: member="iCelPath::Restart" ref="a153e5310f91a2e4d819c1b1ac4917118" args="()=0" -->
<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname">virtual void <a class="el" href="structiCelPath.html#a153e5310f91a2e4d819c1b1ac4917118">iCelPath::Restart</a> </td>
          <td>(</td>
          <td class="paramname"></td><td>)</td>
          <td><code> [pure virtual]</code></td>
        </tr>
      </table>
</div>
<div class="memdoc">

<p>Restarts path. </p>

</div>
</div>
<hr/>The documentation for this struct was generated from the following file:<ul>
<li>tools/<a class="el" href="celgraph_8h_source.html">celgraph.h</a></li>
</ul>
</div><!-- contents -->
<hr size="1"><address><small>Generated for CEL: Crystal Entity Layer 2.0 by 
<a href="http://www.doxygen.org/index.html">doxygen</a> 1.7.6.1 
</small></address> </div></body> </html>
